Map Compatibility

Problem with OpenRA versions

Information and discussion for custom maps and mods.
Post Reply
Jeff560BZH
Posts: 3
Joined: Sat Dec 01, 2018 5:35 pm

Map Compatibility

Post by Jeff560BZH » Mon Apr 08, 2019 2:43 pm

Hello.

I've got some problems with a personnal map i'm modding from some months, there is no more compatibility with the news versions of OpenRA.

The file won't be opened & OpenRA get crash. What can i do about it ?
I really love my map, too much advanced to stop it & restard... I really need help... Lol

Cordialy.

User avatar
Sleipnir
Posts: 750
Joined: Wed Apr 10, 2002 11:52 pm
Contact:

Re: Map Compatibility

Post by Sleipnir » Mon Apr 08, 2019 8:38 pm

Upload the map to https://resource.openra.net/, selecting release-20181215 (or whatever release you were previously using). After uploading, the sidebar on the right will include an "update map" button. Download the updated version, then apply any manual changes that the updater reported.

Jeff560BZH
Posts: 3
Joined: Sat Dec 01, 2018 5:35 pm

Re: Map Compatibility

Post by Jeff560BZH » Wed Apr 10, 2019 2:00 pm

Sorry. That's not what i meant.. Lol

I want to open an old map that I started modding on an old version of OpenRA, but when I want to open it with the latest version of OpenRA, it crash and shows me a log containing several errors.
I'm sure there have been elements of modified, some elements are no longer compatible with the new version.
I would just like to continue making the map that I started last year.

What can I do to correct this problem?

User avatar
Sleipnir
Posts: 750
Joined: Wed Apr 10, 2002 11:52 pm
Contact:

Re: Map Compatibility

Post by Sleipnir » Wed Apr 10, 2019 3:01 pm

The resource center includes a tool that automatically updates the map to fix many of the compatibility changes, and reports other changes that you must fix manually. Follow my instructions above to run this.

Jeff560BZH
Posts: 3
Joined: Sat Dec 01, 2018 5:35 pm

Re: Map Compatibility

Post by Jeff560BZH » Fri Apr 19, 2019 3:01 pm

It says me the updates failed.. "Link check status failed" .

Some elements (items, trees, doors, buildings ..) that were on the map editor of the 2018/03/07 version are no longer available in the new versions of OpenRA ....

I want to open my map that I created with the new versions, but I can not ...
I tried to update as you explained to me on "https://resource.openra.net/", but it marks me "failure".

Compatibility on 2018/03/07 : https://resource.openra.net/maps/28105/ => "pass"
Compatibility on 2018/09/23 ; 2019/01/06 & 2019/03/14 => "failed"

Is there an alternative solution to fix this problem?

Cordially.

User avatar
Materianer
Posts: 174
Joined: Mon Jul 04, 2016 8:27 am

Re: Map Compatibility

Post by Materianer » Fri Apr 19, 2019 3:30 pm

Jeff560BZH wrote:
Fri Apr 19, 2019 3:01 pm
Is there an alternative solution to fix this problem?
the Lint check says " Error: Actor hgate is not defined by any rule. OpenRA.Utility(1,1): Error: Actor vgate is not defined by any rule."

Those gates (hgate is horizontal and vgate vertical) have been removed from openra last year, if you open the map in your old version and remove all 9 gates it should work.

Post Reply